# Class CIM_DatabaseServiceStatistics
extends CIM_StatisticalData

The CIM_DatabaseServiceStatistics class contains the current statistics for a database service. These statistics are counters that are relative to the start of the service or from the time when a reset was issued.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_DatabaseServiceStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_DatabaseServiceStatistics class contains the current statistics for a database service. These statistics are counters that are relative to the start of the service or from the time when a reset was issued.
UMLPackagePath | string | CIM::Database::Statistics
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActiveConnections | uint64 |
Counter | boolean | true
Description | string | The number of active inbound connections that are currently using the service.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoapplInboundAssociation
CompletedTransactions | uint64 |
Counter | boolean | true
Description | string | The total number of transactions that have been completed by a commit or abort. Some database operations, such as read-only queries, might not create a transaction.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoFinishedTransactions
CumulativeConnections | uint64 |
Counter | boolean | true
Description | string | The total number of inbound connections to the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoapplAccumulatedInboundAssociations
DiskReads | uint64 |
Counter | boolean | true
Description | string | The total number of database file reads that were issued by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoDiskReads
DiskSpaceUnavailable | uint64 |
Counter | boolean | true
Description | string | The total number of times that the database requested disk space and it was not available since the service was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoDiskOutOfSpaces
DiskWrites | uint64 |
Counter | boolean | true
Description | string | The total number of database file writes that were issued by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoDiskWrites
HighwaterConnections | uint64 |
Counter | boolean | true
Description | string | The maximum number of active inbound connections that have been concurrently using the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoHighwaterInboundAssociations
LastActivity | datetime |
Description | string | The date and time when the most recent inbound activity was observed for the database service. A value of all zeros indicates that no inbound activity has taken place since the service was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoLastInboundActivity
LogicalReads | uint64 |
Counter | boolean | true
Description | string | The total number of logical database file reads that were issued by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoLogicalReads
LogicalWrites | uint64 |
Counter | boolean | true
Description | string | The total number of logical database file writes that were issued by the service since it was started. A logical write is a count of the number of times that parts of database files have been marked dirty to indicate that they need to be written to disk.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoLogicalWrites
PageReads | uint64 |
Counter | boolean | true
Description | string | The total number of database pages that have been read by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoPageReads
PageWrites | uint64 |
Counter | boolean | true
Description | string | The total number of database pages that have been written by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoPageWrites
RejectedConnections | uint64 |
Counter | boolean | true
Description | string | The total number of inbound connections that were rejected by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoapplRejectedInboundAssociations
RequestsHandled | uint64 |
Counter | boolean | true
Description | string | The total number of requests that have been received by the service since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoHandledRequests
RequestsReceived | uint64 |
Counter | boolean | true
Description | string | The total number of receive operations made by the service during request processing since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoRequestRecvs
RequestsSent | uint64 |
Counter | boolean | true
Description | string | The total number of send operations made by the service during request processing since it was started.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoRequestsSent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData